Page MenuHomePhabricator

Move TestGuiBasicDebug.py to lldb/test and update it
ClosedPublic

Authored by llunak on Aug 2 2020, 11:38 PM.

Details

Summary

Between the time it was created and it was pushed upstream, 99451b4453688a94c6014cac233d371ab4cc342d has moved the existing gui gui tests to lldb/test, so move this one too.
And update it to contain TestGuiBasic.py changes since the time when it was based on that test.

Diff Detail

Repository
rLLDB LLDB

Event Timeline

llunak requested review of this revision.Aug 2 2020, 11:38 PM
llunak created this revision.

lldb/test/API is usually for testing the lldb::SB* interfaces IIRC. So not sure this move makes sense?

jingham added a subscriber: jingham.Aug 4 2020, 4:19 PM

lldb/test/API is usually for testing the lldb::SB* interfaces IIRC. So not sure this move makes sense?

It's really for any test that wants to use the lldbtest test harness. There are other tests in the commands sub-directory that use lldbutil methods to get the test up and going, then a bunch of self.expects to test various command line output. Oddly enough there are also some tests in there (like the disassemble/basic test) that don't seem to test command line commands at all. But that's a separate issue.

clayborg accepted this revision.Aug 4 2020, 5:22 PM

Ok, if other tests are in there, I am fine with this move.

This revision is now accepted and ready to land.Aug 4 2020, 5:22 PM

I personally don't particularly care where the tests are, I just wanted all the gui tests to be together to make it simpler to run them all.

Herald added a project: Restricted Project. · View Herald TranscriptAug 5 2020, 12:51 AM